cURL
curl --location 'https://api.inworld.ai/tts/v1/voices?filter=language%3Den' \
--header "Authorization: Basic $INWORLD_API_KEY"import requests
url = "https://api.inworld.ai/tts/v1/voices"
headers = {
"Authorization": "Basic <api-key>"
}
params = {
"filter": "language=en"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())const url = 'https://api.inworld.ai/tts/v1/voices?filter=language%3Den';
const response = await fetch(url, {
headers: {
'Authorization': 'Basic <api-key>',
},
});
const data = await response.json();
console.log(data);{
"voices": [
{
"languages": [
"en"
],
"voiceId": "Alex",
"displayName": "Alex",
"isCustom": false,
"description": "Energetic and expressive mid-range male voice, with a mildly nasal quality",
"tags": [
"male",
"energetic",
"expressive",
"mid-range"
]
},
{
"languages": [
"en"
],
"voiceId": "Ashley",
"displayName": "Ashley",
"isCustom": false,
"description": "A warm, natural female voice",
"tags": [
"female",
"warm",
"natural"
]
},
{
"languages": [
"en"
],
"voiceId": "Dennis",
"displayName": "Dennis",
"isCustom": false,
"description": "Middle-aged man with a smooth, calm and friendly voice",
"tags": [
"male",
"middle-aged",
"smooth",
"calm",
"friendly"
]
}
]
}{
"code": 3,
"message": "Invalid language code: 'English'. Must be a 2-letter ISO 639-1 code (e.g., 'en', 'es', 'fr')",
"details": []
}List voices
List all available voices based on the provided filter.
⚠️ Deprecation Notice: This endpoint is deprecated. Use the Voices API’s List Voices instead for new features and better performance. This API is scheduled to be removed on July 1, 2026.
GET
/
tts
/
v1
/
voices
cURL
curl --location 'https://api.inworld.ai/tts/v1/voices?filter=language%3Den' \
--header "Authorization: Basic $INWORLD_API_KEY"import requests
url = "https://api.inworld.ai/tts/v1/voices"
headers = {
"Authorization": "Basic <api-key>"
}
params = {
"filter": "language=en"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())const url = 'https://api.inworld.ai/tts/v1/voices?filter=language%3Den';
const response = await fetch(url, {
headers: {
'Authorization': 'Basic <api-key>',
},
});
const data = await response.json();
console.log(data);{
"voices": [
{
"languages": [
"en"
],
"voiceId": "Alex",
"displayName": "Alex",
"isCustom": false,
"description": "Energetic and expressive mid-range male voice, with a mildly nasal quality",
"tags": [
"male",
"energetic",
"expressive",
"mid-range"
]
},
{
"languages": [
"en"
],
"voiceId": "Ashley",
"displayName": "Ashley",
"isCustom": false,
"description": "A warm, natural female voice",
"tags": [
"female",
"warm",
"natural"
]
},
{
"languages": [
"en"
],
"voiceId": "Dennis",
"displayName": "Dennis",
"isCustom": false,
"description": "Middle-aged man with a smooth, calm and friendly voice",
"tags": [
"male",
"middle-aged",
"smooth",
"calm",
"friendly"
]
}
]
}{
"code": 3,
"message": "Invalid language code: 'English'. Must be a 2-letter ISO 639-1 code (e.g., 'en', 'es', 'fr')",
"details": []
}Authorizations
Your authentication credentials. For Basic authentication, please populate Basic $INWORLD_API_KEY. You can create a key in one command with the Inworld CLI: inworld workspace add-key.
Query Parameters
A filter expression to filter the voices. Currently, only the following filter is supported:
language: Expects an ISO 639-1 language code. For example,language=en.
Example:
"language=en"
Response
The list of voices.
Show child attributes
Show child attributes
Was this page helpful?
⌘I